Package org.apache.tools.ant.taskdefs.optional.junit

# Class FailureRecorder.TestInfos

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junit.FailureRecorder.TestInfos

All Implemented Interfaces:
  `java.lang.Comparable<FailureRecorder.TestInfos>`

Enclosing class:
  FailureRecorder

    public static class FailureRecorder.TestInfos
    extends java.lang.Object
    implements java.lang.Comparable<FailureRecorder.TestInfos>

TestInfos holds information about a given test for later use.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TestInfos​(junit.framework.Test test)` | This constructor extracts the needed information from the given test.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `compareTo​(FailureRecorder.TestInfos other)` | The SortedMap needs comparable elements.
  `boolean` | `equals​(java.lang.Object obj)` |
  `int` | `hashCode()` |
  `java.lang.String` | `toString()` | This String-Representation can directly be used for instantiation of the JUnit testcase.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TestInfos

    public TestInfos​(junit.framework.Test test)
    This constructor extracts the needed information from the given test.
    Parameters:
      `test` - Test to analyze

- ## Method Details

  - ### toString

    public java.lang.String toString()
    This String-Representation can directly be used for instantiation of the JUnit testcase.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      the string representation.
    See Also:
      `Object.toString()`, `FailureRecorder.createSuiteMethod()`

  - ### compareTo

    public int compareTo​(FailureRecorder.TestInfos other)
    The SortedMap needs comparable elements.
    Specified by:
      `compareTo` in interface `java.lang.Comparable<FailureRecorder.TestInfos>`
    Parameters:
      `other` - the object to compare to.
    Returns:
      the result of the comparison.
    See Also:
      `Comparable.compareTo(T)`, `SortedSet.comparator()`

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Overrides:
      `equals` in class `java.lang.Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `java.lang.Object`